fs setcell                 AFS Commands              fs setcell


NAME

   fs  setcell -- allow or disallow running of setuid programs

                       from specified cells.


                                +
   fs setcell  -cell <cell name>   [-suid]  [-nosuid]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

                           +
   fs setce  -c <cell name>   [-s]  [-n]  [-h]

DESCRIPTION

   Determines whether the  workstation  allows  programs  whose
   binary  files  reside in the indicated cells to execute with
   setuid privilege.  By default, programs originating  in  the
   local cell (as determined by /usr/vice/etc/ThisCell) may run
   with setuid privilege, but programs originating  in  foreign
   cells may not.  Use the fs getcellstatus command to displays
   a cell's current status in this respect.

   Include the -suid flag with the command  to  allow  programs
   from  the  specified cells to execute with setuid privilege;
   include the  -nosuid  flag  with  the  command  to  prohibit
   programs from the specified cells from executing with setuid
   privilege.  Use either the -suid flag or the  -nosuid  flag.
   Omit both flags to prevent programs from the specified cells
   from executing with setuid privilege.

ARGUMENTS

   -cell           names each  cell  from  which  to  allow  or
                   disallow  programs  to  execute  with setuid
                   privilege.  Provide the  complete  Internet-
                   style  cell  name  of  each cell (unlike the
                   -cell argument common to many commands,  the
                   cell  argument  of  this  command  does  not
                   accept abbreviated cell names).

   -suid           allows programs from cell  name  to  execute
                   with   setuid  privilege.    Provide  it  or
                   provide -nosuid.  Omit both flags to prevent
                   programs  from cell name from executing with
                   setuid privilege.

   -nosuid         prevents  programs  from  cell   name   from
                   executing with setuid privilege.  Provide it
                   or  provide  -suid.    Omit  both  flags  to
                   prevent   programs   from   cell  name  from
                   executing with setuid privilege.

   -help           prints  the  online  help  entry  for   this
                   command.  Do not provide any other arguments
                   or flags with this one.  See section 3.1  in
                   the Reference Manual for more details.

EXAMPLES



   The  following enables programs whose binary files reside in
   the Transarc Cell to execute with setuid  privilege  in  the
   local cell:

   % fs setc transarc.com -s

PRIVILEGE REQUIRED

   Issuer  must  be logged in as "root" in the UNIX file system
   of the machine on which the command is issued.

MORE INFORMATION

   fs getcellstatus
